dofile("data/scripts/lib/mod_settings.lua")

function mod_setting_change_callback( mod_id, gui, in_main_menu, setting, old_value, new_value  )
	print( tostring(new_value) )
end

local mod_id = "congas_cats"
mod_settings_version = 1
mod_settings = 
{
  {
    id = "congacat_cat_gold",
    ui_name = "Cats drop gold",
    ui_description = "Do rare cat variants, such as the Golden Kitty, drop gold?",
    value_default = true,
    scope = MOD_SETTING_SCOPE_RUNTIME,
  },
  {
    id = "congacat_cat_wild",
    ui_name = "Cats appear in wild",
    ui_description = "Can cats appear in the wild? \nWill cats appear randomly in any biome?",
    value_default = true,
    scope = MOD_SETTING_SCOPE_NEW_GAME,
  },
  {
    id = "congacat_cat_immortal",
    ui_name = "Cat immortality",
    ui_description = "Are cats immortal?",
    value_default = false,
    scope = MOD_SETTING_SCOPE_NEW_GAME,
  },
  {
    id = "conga_cat_wild_chance",
    ui_name = "Wild Cat Chance",
    ui_description = "Chance that cats will appear in the wild. \nThis is the 'weight' that a cat appears in the wild, the default value is 002. \nThis slider can go from 0 weight to 100 weight. \nHere are some recommended weight values to try out: \n002 (rare cats, default amount) \n010 (common cats) \n020 (very frequent cats) \n050 (extremely frequent cats) \n100 (cats override normal spawns frequently) \n1000 (with spawn boost enabled.. please stop)",
    value_default = 002,
    value_min = 000,
    value_max = 100,
    value_display_multiplier = 1,
    value_display_formatting = " $0 Weight",
    scope = MOD_SETTING_SCOPE_NEW_GAME,
  },
  {
    id = "conga_cat_wild_chance_superboost",
    ui_name = "Boost Wild Cat Chance",
    ui_description = "Multiply wild cat spawn chances by 10x.",
    value_default = false,
    scope = MOD_SETTING_SCOPE_NEW_GAME,
  },
}

function ModSettingsUpdate( init_scope )
	local old_version = mod_settings_get_version( mod_id )
	mod_settings_update( mod_id, mod_settings, init_scope )
end

function ModSettingsGuiCount()
	return mod_settings_gui_count( mod_id, mod_settings )
end

function ModSettingsGui( gui, in_main_menu )
	mod_settings_gui( mod_id, mod_settings, gui, in_main_menu )
end
